c----------------------------------------------
c      pointset1.f
c    
c      subrtn file : pk2subrtn
c      update 2001-10-12
c       
c----------------------------------------------
c      main program
c      pointset1.f     for point program  << 1 color >>
c----( ln: point su )
       parameter (ln=100,ln3=ln*3,rd=10.0,pai=3.1415926)
       parameter (r=0.9,g=0.9,b=0.0)
c----( po: x,y,z no jun ni set )
       dimension po(ln3)
c
       call initvrml
c
       dd=2.0*pai/float(ln)
       do 20  i=1,ln
       i1=3*(i-1)+1
       i2=i1+1
       i3=i2+1
       po(i1)=i
       po(i2)=rd*sin(float(i)*dd)
       po(i3)=0.0
   20  continue
c
       call point1(ln,po,r,g,b)
c
       stop
       end
